#include "GStaticData.h"


/**
	攻撃関連の処理
*/
void GStaticData::evigenAttack(HPLShootingObject* evigen, HPLVector* velocityAngle,
						  bool isUp, bool isA, bool isAPrev, bool isEnemy
						  )
{

	int st = evigen->getState()->getState();

	int wtype = evigen->getUsingWeaponTypeIndex();
	bool isHeavyWeapon = wtype == WeaponType::GatlingGun 
					|| wtype == WeaponType::RLauncher00;

	HPLSequence* seq = NULL;
	if(evigen->getObjectType() == ObjectType::ENEMY){
		seq = ((TTEnemy*)evigen)->getSequence();
	}else if(evigen->getObjectType() == ObjectType::PLAYER){
		seq = ((TTPlayer*)evigen)->getSequence();
	}
	HPLSequenceState seqState = seq->getState();


	//bool isUp = inputManager->isPressed(TTEnum::KeyMap::UP);

	bool isPressedNowA = isAPrev == false && isA == true;
	bool isReleasedNowA = isAPrev == true && isA == false;
	
	bool isEvigen = evigen->getObjectType() == ObjectType::PLAYER && evigen->getType() == PlayerType::Evigen ||
				evigen->getObjectType() == ObjectType::ENEMY && evigen->getType() == EnemyType::EnemyEvigen;

	// アニメーションが終わったら、通常モーションに戻る
	bool bIsReturnWhenFinishAnimation = true;

	if(st == StateType::ATTACK ){
		
	} else if( st == StateType::ATTACK_GUN ) {
		if( wtype == GEnum::WeaponType::Evigen::MINIGUN ) {
			if( isA ) {
				// 押しっぱなし

				// AttackGunモーションを維持
				bIsReturnWhenFinishAnimation = false;
			}
		}
	} else {
		// 通常モーション
		if( wtype == GEnum::WeaponType::Evigen::MINIGUN && evigen->getState()->isAttackGunState() ) {
		} else if

	}
}
